commit-gnue
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

r6329 - trunk/gnue-common/utils


From: reinhard
Subject: r6329 - trunk/gnue-common/utils
Date: Fri, 17 Sep 2004 07:00:50 -0500 (CDT)

Author: reinhard
Date: 2004-09-17 07:00:50 -0500 (Fri, 17 Sep 2004)
New Revision: 6329

Added:
   trunk/gnue-common/utils/release-announce
Modified:
   trunk/gnue-common/utils/release
Log:
Added nifty script to announce releases.


Modified: trunk/gnue-common/utils/release
===================================================================
--- trunk/gnue-common/utils/release     2004-09-17 11:54:56 UTC (rev 6328)
+++ trunk/gnue-common/utils/release     2004-09-17 12:00:50 UTC (rev 6329)
@@ -54,3 +54,6 @@
 if [ -x "postweb" ]; then
   ./postweb
 fi
+
+# Announce the release
+../gnue-common/utils/release-announce

Added: trunk/gnue-common/utils/release-announce
===================================================================
--- trunk/gnue-common/utils/release-announce    2004-09-17 11:54:56 UTC (rev 
6328)
+++ trunk/gnue-common/utils/release-announce    2004-09-17 12:00:50 UTC (rev 
6329)
@@ -0,0 +1,106 @@
+#!/bin/bash -e
+# Script to announce a new release
+
+# Where to send the mail to
+mail_release="address@hidden address@hidden address@hidden"
+mail_prerelease="address@hidden address@hidden"
+
+if [ ! -d "src" ]; then
+  echo "Please start this script in the package directory!"
+  exit 1
+fi
+
+package=$(basename $(pwd) | sed -e 's/gnue-//')
+title=$(echo "import src; print src.TITLE" | gcvs)
+version=$(echo "import src; print src.VERSION" | gcvs)
+release=$(echo "import src; print src._release" | gcvs)
+
+if [ "$release" == "1" -a "$GNUE_VERSION_SUFFIX" != "" ]; then
+  echo "Don't set GNUE_VERSION_SUFFIX for final releases!"
+  exit 1
+fi
+
+if [ "$release" == "0" -a "$GNUE_VERSION_SUFFIX" == "" ]; then
+  echo "Please set GNUE_VERSION_SUFFIX for prereleases!"
+  exit 1
+fi
+
+echo "Announcing version $version$GNUE_VERSION_SUFFIX of gnue-$package"
+
+# Get project description from README file
+description=$(
+  cat README | (
+    while read line; do
+      if [ "$line" == "Introduction" ]; then
+        read line                       # this is the ---- line
+        break
+      fi
+    done
+    while read line; do
+      if [ "$line" == "" ]; then
+        break
+      fi
+      echo "$line"
+    done
+  )
+)
+
+# Get list of changes from NEWS file
+changes=$(
+  cat NEWS | (
+    read line                           # ignore "Changes in version..." line
+    while read line; do
+      if [ "$line" == "" ]; then
+        break
+      fi
+      echo "$line"
+    done
+  )
+)
+
+# Create the release text
+announcement=$(
+  echo "The GNU Enterprise team is proudly announcing"
+  echo ""
+  echo "   $title $version$GNUE_VERSION_SUFFIX."
+  echo ""
+  echo "$description" | fmt --width=72
+  echo ""
+  echo "Changes and new features in this release:"
+  echo "$changes"
+  echo ""
+  (
+    echo "As usual, you can download the current release of $title from"
+    echo "http://www.gnuenterprise.org/downloads/current.php";
+  ) | fmt --width=72
+)
+
+# Send the email
+if [ "$release" == "1" ]; then
+  mail="$mail_release"
+else
+  mail="$mail_prerelease"
+fi
+for recepient in $mail; do
+  echo "$announcement" | mail -a "From: address@hidden" \
+                           -s "$title $version$GNUE_VERSION_SUFFIX released" \
+                           $recepient
+done
+
+# Create news entry for the web page
+if [ "$release" == "1" ]; then
+  (
+    cd ../www/news
+    svn update
+    let number="$(ls 1* | tail -1) + 1"
+    (
+      echo "Title: $title $version$GNUE_VERSION_SUFFIX released"
+      echo "Author: address@hidden"
+      echo "Date: $(date --iso)"
+      echo ""
+      echo "$announcement"
+    ) > $number
+    svn add $number
+    svn commit --message "Released $title ${version}${GNUE_VERSION_SUFFIX}."
+  )
+fi


Property changes on: trunk/gnue-common/utils/release-announce
___________________________________________________________________
Name: svn:executable
   + *





reply via email to

[Prev in Thread] Current Thread [Next in Thread]